#! /bin/bash

set -e

. ./pika-build-config.sh

echo "$PIKA_BUILD_ARCH" > pika-build-arch

VERSION="v0.10.22"

# Clone Upstream
git clone --recurse-submodules https://github.com/abenz1267/walker.git -b v0.10.22
if [[ "$PIKA_BUILD_ARCH" == "amd64-v3" ]]
then
	cp -rvf ./Makefile-v3 ./walker/Makefile
fi
cp -rvf ./debian ./walker/
cd ./walker


# Get build deps
LOGNAME=root dh_make --createorig -y -l -p walker_"$VERSION" || echo "dh-make: Ignoring Last Error"
apt-get build-dep ./ -y

# Build package
dpkg-buildpackage --no-sign

# Move the debs to output
cd ../
mkdir -p ./output
mv ./*.deb ./output/
